using System.Collections.ObjectModel;

namespace Entidades
{
    public class PedidoDePresupuesto
    {
        public int Id { get; set; }
        public DateTime Fecha { get; set; }
        private List<DetallePedido> detallesPedidos = new List<DetallePedido>();
        public Proveedor Proveedor { get; set; }

        public void AñadirDetalle(DetallePedido detalle)
        {
            detallesPedidos.Add(detalle);     
        }

        public bool EliminarDetalle(DetallePedido detalle)
        {
            var aeliminar = detallesPedidos.Find(x => x.Id == detalle.Id);
            if (aeliminar == null) return false;
            return detallesPedidos.Remove(aeliminar);
        }

        public ReadOnlyCollection<DetallePedido> MostrarDetalles()
        {
            return detallesPedidos.AsReadOnly();
        }
    }
}
